#include <iostream>
using namespace std;
/*void funkcija(int a, int b, int c){
    while(c>0){
        b-=((a/c)*(a/c+1))/2;
        a/=c;
        c--;
    }
    if(b>0){
        cout<<"Tak"<<endl;
    }
    else{
        cout<<"Nie"<<endl;
    }
}*/
int main(){
    int n; cin>>n;
    for(int i=0;i<n;i++){
        int a;
        int b;
        int c;
        cin>>a>>b>>c;
        //funkcija(a,b,c);
        while(c>0){
            b-=((a/c)*(a/c+1))/2;
            a-=a/c;
            c--;
        }
        if(b>=0){
            cout<<"Tak"<<endl;
        }
        else{
            cout<<"Nie"<<endl;
        }
        }
    return 0;
}